; Unsigned Multiply routine by Free Bird
; Input : C and E
; Output : HL = C*E
; Destroys : A will be 0, C will be 0 and off course the flags

Unsigned_Multiply:
	sub a          ;Flush a
	ld h,a         ;Flush h since a=0
	ld l,a         ;Flush l since a=0
	ld d,a         ;Flush d since a=0
	cp c           ;Check if multiplied by 0
Actual_Code:
	ret z          ;Return if c=0
	add hl,de      ;Adds e to hl since d=0
	dec c          ;End of loop so one step less left
	jp Actual_Code ;Start loop again